Bug 231559 - www/mattermost-webapp www/mattermost-server: Update to 5.4.0
Summary: www/mattermost-webapp www/mattermost-server: Update to 5.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-09-21 17:52 UTC by Oliver Böttcher
Modified: 2018-12-20 10:18 UTC (History)
4 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
mattermost-server-5.3.1.diff (2.11 KB, patch)
2018-09-21 17:52 UTC, Oliver Böttcher
no flags Details | Diff
mattermost-webapp-5.3.1.diff (27.05 KB, patch)
2018-09-21 17:52 UTC, Oliver Böttcher
no flags Details | Diff
mattermost-webapp-5.3.1_v2.diff (27.10 KB, patch)
2018-09-26 14:22 UTC, Oliver Böttcher
no flags Details | Diff
mattermost-server-5.3.1.log (17.56 KB, text/plain)
2018-09-26 14:23 UTC, Oliver Böttcher
no flags Details
mattermost-webapp-5.3.1.log (12.99 KB, text/plain)
2018-09-26 14:23 UTC, Oliver Böttcher
no flags Details
mattermost-webapp-5.4.0.diff (26.83 KB, patch)
2018-10-25 20:22 UTC, Oliver Böttcher
no flags Details | Diff
mattermost-server-5.4.0.diff (2.57 KB, patch)
2018-10-25 20:22 UTC, Oliver Böttcher
swills: maintainer-approval? (loic.blot)
Details | Diff
mattermost-webapp-5.4.0.diff (26.85 KB, patch)
2018-10-25 21:13 UTC, Oliver Böttcher
swills: maintainer-approval? (loic.blot)
Details | Diff
mattermost-webapp-5.4.0.log (14.03 KB, text/plain)
2018-10-26 10:43 UTC, Oliver Böttcher
no flags Details
mattermost-server-5.4.0.log (17.57 KB, text/plain)
2018-10-26 10:43 UTC, Oliver Böttcher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Böttcher 2018-09-21 17:52:10 UTC
Created attachment 197316 [details]
mattermost-server-5.3.1.diff

Hi,

the mattermost port is fairly outdated.

Here are the patches.
Comment 1 Oliver Böttcher 2018-09-21 17:52:53 UTC
Created attachment 197317 [details]
mattermost-webapp-5.3.1.diff
Comment 2 Nathan 2018-09-21 20:04:11 UTC
The server and webapp should be separate PRs
Comment 3 loic.blot 2018-09-25 07:43:31 UTC
Hello,

Nathan please note both packages needs the other side.


Oliver, thanks for your contribution. Can you keep the alphabetic order in the MV in server ? Can you also add the poudriere testport output ?
Comment 4 Oliver Böttcher 2018-09-26 14:22:17 UTC
Created attachment 197519 [details]
mattermost-webapp-5.3.1_v2.diff

Updated mattermost-webapp.diff to fix orphaned files.
Comment 5 Oliver Böttcher 2018-09-26 14:23:12 UTC
Created attachment 197520 [details]
mattermost-server-5.3.1.log

mattermost-server testport output
Comment 6 Oliver Böttcher 2018-09-26 14:23:56 UTC
Created attachment 197521 [details]
mattermost-webapp-5.3.1.log

mattermost-webapp testport output
Comment 7 Steve Wills freebsd_committer 2018-10-10 05:30:23 UTC
Trying to start mattermostd gives:

------------------------------------ ERROR ------------------------------------------------
The platform binary has been deprecated, please switch to using the new mattermost binary.                                                                                                    
The platform binary will be removed in a future version.                                                                                                                                      
-------------------------------------------------------------------------------------------                                                                                                   
                                                                                                                                                                                              
Could not start Mattermost, use the mattermost command directly: failed to find mattermost                                                                                                    

Looks like we just need to change line 47 from copying "platform" to copying "mattermost". That sound right to you?
Comment 8 loic.blot 2018-10-10 13:39:50 UTC
It's fine, they deprecate the platform to use the proper binary. The rc.d file should be changed
Comment 9 Steve Wills freebsd_committer 2018-10-10 23:24:28 UTC
(In reply to loic.blot from comment #8)
What change(s) need to be made to the rc script?
Comment 10 Oliver Böttcher 2018-10-25 20:22:09 UTC
Created attachment 198631 [details]
mattermost-webapp-5.4.0.diff
Comment 11 Oliver Böttcher 2018-10-25 20:22:53 UTC
Created attachment 198632 [details]
mattermost-server-5.4.0.diff
Comment 12 Oliver Böttcher 2018-10-25 20:24:18 UTC
* Update to Mattermost 5.4.0
* changed platform binary to new mattermost binary

Poudriere testport is on its way.
Comment 13 Oliver Böttcher 2018-10-25 21:13:52 UTC
Created attachment 198634 [details]
mattermost-webapp-5.4.0.diff
Comment 14 Oliver Böttcher 2018-10-26 10:43:25 UTC
Created attachment 198652 [details]
mattermost-webapp-5.4.0.log
Comment 15 Oliver Böttcher 2018-10-26 10:43:48 UTC
Created attachment 198653 [details]
mattermost-server-5.4.0.log
Comment 16 Steve Wills freebsd_committer 2018-10-27 14:50:30 UTC
Please approve the patches if they look OK. Thanks!
Comment 17 loic.blot 2018-10-29 10:02:00 UTC
if i'm correct you miss to update the rc.d script to use the correct binary.
Else it's okay to me
Comment 18 Steve Wills freebsd_committer 2018-10-29 16:37:44 UTC
(In reply to loic.blot from comment #17)
The do-install target in the server port was changed to copy the "mattermost" binary instead of the "platform" binary, but the target of the copy remains the same, so I think the rc script doesn't need updating for that.

If you approve the changes, please set the maintainer-approval flag on the patch file attachments to "+" instead of "?".
Comment 19 loic.blot 2018-10-29 16:47:54 UTC
hi steve, it's an obsolete flag i forgot to update. But currently it's good for me.
Comment 20 commit-hook freebsd_committer 2018-10-31 13:08:47 UTC
A commit references this bug:

Author: swills
Date: Wed Oct 31 13:07:59 UTC 2018
New revision: 483573
URL: https://svnweb.freebsd.org/changeset/ports/483573

Log:
  www/mattermost-webapp www/mattermost-server: Update to 5.4.0

  PR:		231559
  Submitted by:	Oliver B?ttcher <marvin0815@gmail.com>
  Approved by:	loic.blot@unix-experience.fr (maintainer)

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-server/pkg-plist
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist
Comment 21 Steve Wills freebsd_committer 2018-10-31 13:09:04 UTC
Committed, thanks!